### File

`src/notification/notification-content.interface.ts`

### Index

###### Properties
click text

### Indexable

`[x: string]: `any``
Defined in src/notification/notification-content.interface.ts:26

### Properties

click
`click: `Subject<literal type> |``
Type : `Subject<literal type> |`

text
`text: `string``
Type : `string`

    import { Subject } from "rxjs";
    import { TemplateRef } from "@angular/core";

    export interface NotificationContent {
    	type: string;
    	title: string;
    	target?: string;
    	duration?: number;
    	smart?: boolean;
    	closeLabel?: any;
    	message?: string;
    	showClose?: boolean;
    	lowContrast?: boolean;
    	template?: TemplateRef<any>;
    	actions?: NotificationAction[];
    }

    export interface ToastContent extends NotificationContent {
    	subtitle: string;
    	caption: string;
    	template?: TemplateRef<any>;
    }

    interface NotificationAction {
    	text: string;
    	click: Subject<{event: Event, action: any}> | ((event: {event: Event, action: any}) => any);
    	[x: string]: any;
    }

# result-matching ""

# No results matching ""